सामग्री पर जाएँ

Meshy 7 Retexture

इंटीग्रेट करें

मॉडल id meshy/v7/retexture
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v7/retexture?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.30 300 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Meshy 3D 4K आउटपुट #3d#3d-to-3d#textures#pbr

3D रीटेक्सचरिंग का Meshy 7 संस्करण: प्रॉम्प्ट या स्टाइल इमेज से नया रूप, वैकल्पिक PBR आउटपुट के साथ

Meshy · 3D

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

texture_resolution डिफ़ॉल्ट 2k

बेस-कलर रिज़ॉल्यूशन विकल्प 2k (2048), 4k (4096) और 8k (8192) हैं। 8k चुनने पर PBR मैप 4k तक सीमित हो जाते हैं और emission मैप शामिल नहीं किया जाता; 8k और 4k दोनों केवल Meshy 6 या 7 के साथ उपलब्ध हैं।

•आवश्यक

टेक्सचरिंग के लिए 3D मॉडल स्रोत, जो या तो सार्वजनिक रूप से सुलभ URL या application/octet-stream को MIME प्रकार के रूप में उपयोग करने वाला base64 डेटा URI हो सकता है। स्वीकृत फ़ाइल एक्सटेंशन .glb, .gltf, .obj, .fbx और .stl हैं।

उन्नत text_style_prompt · image_style_url · enable_original_uv · enable_pbr · enable_safety_checker
0 / 600

टेक्सचर-शैली का टेक्स्ट, image_style_url न होने पर आवश्यक और 600 कैरेक्टर तक सीमित।

फ़ाइल ड्रॉप करें, या

image_style_url के रूप में दिए जाने पर text_style_prompt पर प्राथमिकता पाने वाला 2D टेक्सचरिंग गाइड। text_style_prompt अनुपस्थित होने पर यह इमेज दें; समर्थित फ़ाइल प्रकार .jpg, .jpeg और .png हैं।

POST /run/meshy/v7/retexture?wait=20 कोटेशन → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v7/retexture?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Meshy 7 Retexture के बारे में

दी गई 3D फ़ाइल (.glb, .gltf, .obj, .fbx, .stl) को अधिकतम 600 वर्णों वाले टेक्स्ट विवरण या 2D स्टाइल इमेज का उपयोग करके रीटेक्सचर करता है; दोनों भेजे जाने पर इमेज को प्राथमिकता मिलती है। बेस कलर रिज़ॉल्यूशन 2k, 4k या 8k होता है, और 8k पर PBR मैप 4k हो जाते हैं तथा emission मैप नहीं मिलता। मौजूदा UVs बनाए रखने के लिए `enable_original_uv` सेट करें, और metallic, roughness तथा normal मैप पाने के लिए `enable_pbr` सेट करें। GLB के साथ अन्य फ़ॉर्मैट और टेक्सचर फ़ाइलें लौटाता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
model_urlआवश्यक
प्रकारstring
टेक्सचरिंग के लिए 3D मॉडल स्रोत, जो या तो सार्वजनिक रूप से सुलभ URL या application/octet-stream को MIME प्रकार के रूप में उपयोग करने वाला base64 डेटा URI हो सकता है। स्वीकृत फ़ाइल एक्सटेंशन .glb, .gltf, .obj, .fbx और .stl हैं।
text_style_promptवैकल्पिक
प्रकारstring | null
≤ 600 अक्षर
टेक्सचर-शैली का टेक्स्ट, image_style_url न होने पर आवश्यक और 600 कैरेक्टर तक सीमित।
image_style_urlवैकल्पिक
प्रकारurl · image
image_style_url के रूप में दिए जाने पर text_style_prompt पर प्राथमिकता पाने वाला 2D टेक्सचरिंग गाइड। text_style_prompt अनुपस्थित होने पर यह इमेज दें; समर्थित फ़ाइल प्रकार .jpg, .jpeg और .png हैं।
texture_resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट2k
2k4k8k
बेस-कलर रिज़ॉल्यूशन विकल्प 2k (2048), 4k (4096) और 8k (8192) हैं। 8k चुनने पर PBR मैप 4k तक सीमित हो जाते हैं और emission मैप शामिल नहीं किया जाता; 8k और 4k दोनों केवल Meshy 6 या 7 के साथ उपलब्ध हैं।
enable_original_uvवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
इस विकल्प को सक्षम करके UV को फिर से बनाने के बजाय उन्हें बनाए रखें। मूल UV मैपिंग रहित मॉडल के लिए इसे सक्षम करने पर गुणवत्ता प्रभावित हो सकती है।
enable_pbrवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
यह नियंत्रित करता है कि बेस कलर के साथ metallic, roughness और normal PBR मैप बनाए जाएँ या नहीं।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
प्रीप्रोसेसिंग सुरक्षा-जाँच स्विच: true करने पर इनपुट सुरक्षा-जाँच प्रोसेसिंग की पूर्वशर्त बन जाती है।
आवश्यक

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/v7/retexture",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "model_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "blend": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "stl": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "texture_urls": [
      {
        "base_color": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "metallic": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "normal": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "roughness": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        }
      }
    ],
    "text_style_prompt": "red and black chest",
    "image_style_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
model_glb
object {url, content_type, file_name, file_size}अपडेट किए गए टेक्सचर वाला GLB-फ़ॉर्मैट 3D ऑब्जेक्ट।
thumbnail
object {url, content_type, file_name, file_size} | nullरीटेक्सचरिंग के बाद मॉडल का पूर्वावलोकन दिखाने वाला थंबनेल।
model_urls
object {glb, fbx, obj, usdz, blend, stl}विभिन्न फ़ॉर्मैट में 3D मॉडल के लिंक।
texture_urls
array of object {base_color, metallic, normal, roughness}ऑब्जेक्ट की array के रूप में प्रस्तुत टेक्सचर फ़ाइलें।
text_style_prompt
string | nullउपलब्ध कराए जाने पर उपयोग किया गया टेक्सचरिंग प्रॉम्प्ट।
image_style_url
string | nullउपलब्ध कराए जाने पर उपयोग की गई टेक्सचरिंग इमेज का URL।

और मॉडल: 3D

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/meshy/v7/retexture.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt